| The Gaudi Framework v32r1 (f65d50dc)

Functions | Variables
IOTest Namespace Reference

## Functions
def | storeExplorer (load=1, freq=0.0001, name='StoreExplorerAlg')
def | update ()
def | printDelta (s0, s1)

## Variables
string | input_file = 'castor://castorlhcb.cern.ch//castor/cern.ch/grid/lhcb/LHCb/Collision11/SEMILEPTONIC.DST/00012569/0000/00012569_00000004_1.semileptonic.dst?svcClass=lhcbdisk'
| appConf = ApplicationMgr(OutputLevel=INFO)
| HistogramPersistency
| RootCLID
| EnableFaultHandler
| root = Gaudi__RootCnvSvc('RootCnvSvc')
| CacheBranches
| VetoBranches
| Input
| PrintFreq
| OutputLevel
| appMgr = GaudiPython.AppMgr()
| sel = appMgr.evtsel()
| evt = appMgr.evtsvc()
def | start = update()
int | N = 0
| rc = appMgr.run(1)
def | end = update()

## Detailed Description

       Simple test application to read LHCb dst files
       For reading other root files: change the data access
       if '/Event/Rec/Header' is not present.

       Requires: 'SetupProject LHCb'

       Script inherited from T.Ruf
       M.Frank  CERN/LHCb

## Function Documentation

## ◆ printDelta()

def IOTest.printDelta | ( |  | s0,
|  |  | s1
| ) |  |

Definition at line 83 of file IOTest.py.

83 def printDelta(s0, s1):
84 for s in s1:
85 if s == 'time':
86 print '%15s : %10.2F sec' % (s, (s1[s] - s0[s]))
87 else:
88 print '%15s : %10.2F MB' % (s, (s1[s] - s0[s]) / 1.E6)
89
90
IOTest.printDelta
def printDelta(s0, s1)
Definition: IOTest.py:83

## ◆ storeExplorer()

def IOTest.storeExplorer | ( |  | load = `1`,
|  |  | freq = `0.0001`,
|  |  | name = `'StoreExplorerAlg'`
| ) |  |

Definition at line 26 of file IOTest.py.

26 def storeExplorer(load=1, freq=0.0001, name='StoreExplorerAlg'):
27 from Configurables import StoreExplorerAlg
28 alg = StoreExplorerAlg(name)
29 alg.Load = load
30 alg.PrintFreq = freq
31 return alg
32
33
34 # -----------------------------------------------------------------------------
35
IOTest.storeExplorer
def storeExplorer(load=1, freq=0.0001, name='StoreExplorerAlg')
Definition: IOTest.py:26
StoreExplorerAlg
Small algorith, which traverses the data store and prints generic information about all leaves,...
Definition: StoreExplorerAlg.cpp:32

## ◆ update()

def IOTest.update | ( |  | ) |

Definition at line 71 of file IOTest.py.

71 def update():
72 statistic = {}
73 test = open('/proc/self/io')
74 io = test.readlines()
75 test.close()
76 for l in io:
77 temp = l.split(':')
78 statistic[temp[0]] = int(temp[1])
79 statistic['time'] = time.time()
80 return statistic
81
82
IOTest.update
def update()
Definition: IOTest.py:71

## Variable Documentation

## ◆ appConf

IOTest.appConf = ApplicationMgr(OutputLevel=INFO)

Definition at line 39 of file IOTest.py.

## ◆ appMgr

IOTest.appMgr = GaudiPython.AppMgr()

Definition at line 92 of file IOTest.py.

## ◆ CacheBranches

IOTest.CacheBranches

Definition at line 48 of file IOTest.py.

## ◆ EnableFaultHandler

IOTest.EnableFaultHandler

Definition at line 46 of file IOTest.py.

## ◆ end

def IOTest.end = update()

Definition at line 112 of file IOTest.py.

## ◆ evt

IOTest.evt = appMgr.evtsvc()

Definition at line 94 of file IOTest.py.

## ◆ HistogramPersistency

IOTest.HistogramPersistency

Definition at line 40 of file IOTest.py.

## ◆ Input

IOTest.Input

Definition at line 64 of file IOTest.py.

## ◆ input_file

string IOTest.input_file = 'castor://castorlhcb.cern.ch//castor/cern.ch/grid/lhcb/LHCb/Collision11/SEMILEPTONIC.DST/00012569/0000/00012569_00000004_1.semileptonic.dst?svcClass=lhcbdisk'

Definition at line 20 of file IOTest.py.

## ◆ N

int IOTest.N = 0

Definition at line 99 of file IOTest.py.

## ◆ OutputLevel

IOTest.OutputLevel

Definition at line 68 of file IOTest.py.

## ◆ PrintFreq

IOTest.PrintFreq

Definition at line 67 of file IOTest.py.

## ◆ rc

IOTest.rc = appMgr.run(1)

Definition at line 101 of file IOTest.py.

## ◆ root

IOTest.root = Gaudi__RootCnvSvc('RootCnvSvc')

Definition at line 47 of file IOTest.py.

## ◆ RootCLID

IOTest.RootCLID

Definition at line 45 of file IOTest.py.

## ◆ sel

IOTest.sel = appMgr.evtsel()

Definition at line 93 of file IOTest.py.

## ◆ start

def IOTest.start = update()

Definition at line 97 of file IOTest.py.

## ◆ VetoBranches

IOTest.VetoBranches

Definition at line 49 of file IOTest.py.